# Method values()

Method values

  `array values(string|array|mapping|multiset|object x)`

Description

  Return an array of all possible values from indexing the value x.

  For strings an array of int with the ISO10646 codes of the characters in the string is returned.

  For a multiset an array filled with ones (`1`) is returned.

  For arrays a single-level copy of x is returned.

  For mappings the array may contain any value.

  For objects which define lfun::_values() that return value is used.

  For other objects an array with the values of all non-protected symbols is returned.

See also

  indices(), types(), lfun::_values()